Bug 1311105 - False negative when running abipkgdiff against ppc64 packages
Summary: False negative when running abipkgdiff against ppc64 packages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libabigail
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dodji Seketeli
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-02-23 12:08 UTC by Hubert Kario
Modified: 2016-05-12 05:08 UTC (History)
3 users (show)

Fixed In Version: libabigail-1.0-0.rc3.2.el6 libabigail-1.0-0.rc3.1.fc23 libabigail-1.0-0.8.rc3.1.el7 libabigail-1.0-0.8.rc3.1.fc22 libabigail-1.0-0.8.rc4.2.fc24 libabigail-1.0-0.8.rc4.2.fc22 libabigail-1.0-0.8.rc4.2.fc23 libabigail-1.0-0.8.rc4.2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-09 00:05:07 UTC


Attachments (Terms of Use)

Description Hubert Kario 2016-02-23 12:08:41 UTC
Description of problem:
When abipkgdiff is run against ppc64 packages it does not report the same set of changes as when run against x86_64 versions of the same package

Version-Release number of selected component (if applicable):
libabigail-1.0-0.5.20150727gitf0d319a.fc23.x86_64

How reproducible:
Always

Steps to Reproduce:
1. abipkgdiff --d1 nss-3.19.1-8.el6_7/nss-debuginfo-3.19.1-8.el6_7.ppc64.rpm --d2 nss-3.21.0-0.2.el6_7/nss-debuginfo-3.21.0-0.2.el6_7.ppc64.rpm nss-3.19.1-8.el6_7/nss-3.19.1-8.el6_7.ppc64.rpm nss-3.21.0-0.2.el6_7/nss-3.21.0-0.2.el6_7.ppc64.rpm

Actual results:
No indirect sub-type change detected

Expected results:

  1 function with some indirect sub-type change:

    [C]'function SECStatus SSL_GetChannelInfo(PRFileDesc*, SSLChannelInfo*, PRUintn)' has some indirect sub-type changes:
      parameter 2 of type 'SSLChannelInfo*' has sub-type changes:
        in pointed to type 'typedef SSLChannelInfo':
          underlying type 'struct SSLChannelInfoStr' changed:
            1 data member insertion:
              'PRBool SSLChannelInfoStr::reservedNotSupported', at offset 608 (in bits)

Comment 1 Dodji Seketeli 2016-02-24 15:11:58 UTC
I think that version of libabigail you are using is pretty old.

I believe the current master branch has the fix for this issue because it works fine for me.

I am working toward a new upstream release of libabigail, followed by a new Fedora package update.

For the record, with the current master branch (that I built myself from git), here is what I am getting:

~/git/libabigail/master/build/tools/abipkgdiff --d1 nss-debuginfo-3.19.1-8.el6_7.ppc.rpm --d2 nss-debuginfo-3.21.0-0.2.el6_7.ppc.rpm nss-3.19.1-8.el6_7.ppc.rpm nss-3.21.0-0.2.el6_7.ppc.rpm
================ changes of 'libnss3.so'===============
  Functions changes summary: 0 Removed, 0 Changed, 3 Added functions
  Variables changes summary: 0 Removed, 0 Changed, 0 Added variable

  3 Added functions:

    'function SECStatus NSS_OptionGet(PRInt32, PRInt32*)'    {NSS_OptionGet@@NSS_3.21}
    'function SECStatus NSS_OptionSet(PRInt32, PRInt32)'    {NSS_OptionSet@@NSS_3.21}
    'function SECMODModule* SECMOD_CreateModuleEx(const char*, const char*, const char*, const char*, const char*)'    {SECMOD_CreateModuleEx@@NSS_3.21}

================ end of changes of 'libnss3.so'===============

================ changes of 'libssl3.so'===============
  Functions changes summary: 0 Removed, 2 Changed (2 filtered out), 6 Added functions
  Variables changes summary: 0 Removed, 1 Changed, 0 Added variable

  6 Added functions:

    'function SECStatus SSL_DHEGroupPrefSet(PRFileDesc*, SSLDHEGroupType*, PRUint16)'    {SSL_DHEGroupPrefSet@@NSS_3.20}
    'function SECStatus SSL_EnableWeakDHEPrimeGroup(PRFileDesc*, PRBool)'    {SSL_EnableWeakDHEPrimeGroup@@NSS_3.20}
    'function SECStatus SSL_GetPreliminaryChannelInfo(PRFileDesc*, SSLPreliminaryChannelInfo*, PRUintn)'    {SSL_GetPreliminaryChannelInfo@@NSS_3.21}
    'function unsigned int SSL_SignatureMaxCount()'    {SSL_SignatureMaxCount@@NSS_3.21}
    'function SECStatus SSL_SignaturePrefGet(PRFileDesc*, SSLSignatureAndHashAlg*, unsigned int*, unsigned int)'    {SSL_SignaturePrefGet@@NSS_3.21}
    'function SECStatus SSL_SignaturePrefSet(PRFileDesc*, const SSLSignatureAndHashAlg*, unsigned int)'    {SSL_SignaturePrefSet@@NSS_3.21}

  2 functions with some indirect sub-type change:

    [C]'function SECStatus SSL_GetChannelInfo(PRFileDesc*, SSLChannelInfo*, PRUintn)' at sslinfo.c:24:1 has some indirect sub-type changes:
      parameter 2 of type 'SSLChannelInfo*' has sub-type changes:
        in pointed to type 'typedef SSLChannelInfo' at sslt.h:154:1:
          underlying type 'struct SSLChannelInfoStr' at sslt.h:125:1 changed:
            type size changed from 576 to 608 bits
            1 data member insertion:
              'PRBool SSLChannelInfoStr::reservedNotSupported', at offset 576 (in bits) at sslt.h:153:1

    [C]'function int SSL_RestartHandshakeAfterCertReq(sslSocket*, CERTCertificate*, SECKEYPrivateKey*, CERTCertificateList*)' at sslsecur.c:1539:1 has some indirect sub-type changes:
      parameter 1 of type 'sslSocket*' has sub-type changes:
        in pointed to type 'typedef sslSocket' at sslimpl.h:175:1:
          underlying type 'struct sslSocketStr' at sslimpl.h:1206:1 changed:
            type size changed from 90304 to 91712 bits
            2 data member insertions:
              'const ssl3DHParams* sslSocketStr::dheParams', at offset 4064 (in bits) at sslimpl.h:1254:1
              'ssl3KeyPair* sslSocketStr::dheKeyPair', at offset 4096 (in bits) at sslimpl.h:1255:1
            44 data member changes (5 filtered):
             type of 'sslOptions sslSocketStr::opt' changed:
               underlying type 'struct sslOptionsStr' at sslimpl.h:316:1 changed:
                 2 data member insertions:
                   'unsigned int sslOptionsStr::enableExtendedMS', at offset 96 (in bits) at sslimpl.h:349:1
                   'unsigned int sslOptionsStr::enableServerDhe', at offset 96 (in bits) at sslimpl.h:348:1

             'SSLAuthCertificate sslSocketStr::authCertificate' offset changed from 4064 to 4128 (in bits)
             'void* sslSocketStr::authCertificateArg' offset changed from 4096 to 4160 (in bits)
             'SSLGetClientAuthData sslSocketStr::getClientAuthData' offset changed from 4128 to 4192 (in bits)
             'void* sslSocketStr::getClientAuthDataArg' offset changed from 4160 to 4224 (in bits)
             'SSLSNISocketConfig sslSocketStr::sniSocketConfig' offset changed from 4192 to 4256 (in bits)
             'void* sslSocketStr::sniSocketConfigArg' offset changed from 4224 to 4288 (in bits)
             'SSLBadCertHandler sslSocketStr::handleBadCert' offset changed from 4256 to 4320 (in bits)
             'void* sslSocketStr::badCertArg' offset changed from 4288 to 4352 (in bits)
             'SSLHandshakeCallback sslSocketStr::handshakeCallback' offset changed from 4320 to 4384 (in bits)
             'void* sslSocketStr::handshakeCallbackData' offset changed from 4352 to 4416 (in bits)
             'SSLCanFalseStartCallback sslSocketStr::canFalseStartCallback' offset changed from 4384 to 4448 (in bits)
             'void* sslSocketStr::canFalseStartCallbackData' offset changed from 4416 to 4480 (in bits)
             'void* sslSocketStr::pkcs11PinArg' offset changed from 4448 to 4512 (in bits)
             'SSLNextProtoCallback sslSocketStr::nextProtoCallback' offset changed from 4480 to 4544 (in bits)
             'void* sslSocketStr::nextProtoArg' offset changed from 4512 to 4576 (in bits)
             'PRIntervalTime sslSocketStr::rTimeout' offset changed from 4544 to 4608 (in bits)
             'PRIntervalTime sslSocketStr::wTimeout' offset changed from 4576 to 4640 (in bits)
             'PRIntervalTime sslSocketStr::cTimeout' offset changed from 4608 to 4672 (in bits)
             'PRLock* sslSocketStr::recvLock' offset changed from 4640 to 4704 (in bits)
             'PRLock* sslSocketStr::sendLock' offset changed from 4672 to 4736 (in bits)
             'PRMonitor* sslSocketStr::recvBufLock' offset changed from 4704 to 4768 (in bits)
             'PRMonitor* sslSocketStr::xmitBufLock' offset changed from 4736 to 4800 (in bits)
             'PRMonitor* sslSocketStr::firstHandshakeLock' offset changed from 4768 to 4832 (in bits)
             'PRMonitor* sslSocketStr::ssl3HandshakeLock' offset changed from 4800 to 4864 (in bits)
             'NSSRWLock* sslSocketStr::specLock' offset changed from 4832 to 4896 (in bits)
             'CERTCertDBHandle* sslSocketStr::dbHandle' offset changed from 4864 to 4928 (in bits)
             'PRThread* sslSocketStr::writerThread' offset changed from 4896 to 4960 (in bits)
             'PRUint16 sslSocketStr::shutdownHow' offset changed from 4928 to 4992 (in bits)
             'PRUint16 sslSocketStr::allowedByPolicy' offset changed from 4944 to 5008 (in bits)
             'PRUint16 sslSocketStr::maybeAllowedByPolicy' offset changed from 4960 to 5024 (in bits)
             'PRUint16 sslSocketStr::chosenPreference' offset changed from 4976 to 5040 (in bits)
             'sslHandshakingType sslSocketStr::handshaking' offset changed from 4992 to 5056 (in bits)
             'sslGather sslSocketStr::gs' offset changed from 5024 to 5088 (in bits)
             'sslBuffer sslSocketStr::saveBuf' offset changed from 5792 to 5856 (in bits)
             'sslBuffer sslSocketStr::pendingBuf' offset changed from 5888 to 5952 (in bits)
             'sslServerCerts sslSocketStr::serverCerts[5]' offset changed from 5984 to 6048 (in bits)
             'SECItemArray* sslSocketStr::certStatusArray[5]' offset changed from 6624 to 6688 (in bits)
             type of 'ssl3CipherSuiteCfg sslSocketStr::cipherSuites[61]' changed:
               type name changed from 'ssl3CipherSuiteCfg[61]' to 'ssl3CipherSuiteCfg[64]'
               array type size changed from 1952 to 2048 bits:
               array type subrange 1 changed length from 61 to 64
             and offset changed from 6784 to 6848 (in bits)
             'ssl3KeyPair* sslSocketStr::ephemeralECDHKeyPair' offset changed from 8736 to 8896 (in bits)
             type of 'ssl3State sslSocketStr::ssl3' changed:
               underlying type 'struct ssl3StateStr' at sslimpl.h:970:1 changed:
                 type size changed from 80192 to 81344 bits
                 5 data member insertions:
                   'PRUint16 ssl3StateStr::numDHEGroups', at offset 80224 (in bits) at sslimpl.h:1013:1
                   'SSLDHEGroupType* ssl3StateStr::dheGroups', at offset 80256 (in bits) at sslimpl.h:1014:1
                   'PRBool ssl3StateStr::dheWeakGroupEnabled', at offset 80288 (in bits) at sslimpl.h:1015:1
                   'SSLSignatureAndHashAlg ssl3StateStr::signatureAlgorithms[15]', at offset 80320 (in bits) at sslimpl.h:1019:1
                   'unsigned int ssl3StateStr::signatureAlgorithmCount', at offset 81280 (in bits) at sslimpl.h:1020:1
                 9 data member changes:
                  type of 'SSL3HandshakeState ssl3StateStr::hs' changed:
                    underlying type 'struct SSL3HandshakeStateStr' at sslimpl.h:852:1 changed:
                      type size changed from 3040 to 3072 bits
                      1 data member insertion:
                        'PRUint32 SSL3HandshakeStateStr::preliminaryInfo', at offset 2304 (in bits) at sslimpl.h:930:1
                      15 data member changes (1 filtered):
                       type of 'const ssl3KEADef* SSL3HandshakeStateStr::kea_def' changed:
                         in pointed to type 'const ssl3KEADef':
                           in unqualified underlying type 'typedef ssl3KEADef' at sslimpl.h:757:1:
                             underlying type 'struct __anonymous_struct__' at sslimpl.h:744:1 changed:
                               1 data member change:
                                type of 'int __anonymous_struct__::key_size_limit' changed:
                                  type name changed from 'int' to 'unsigned int'



                       type of 'SSL3SignatureAndHashAlgorithm* SSL3HandshakeStateStr::clientSigAndHash' changed:
                         in pointed to type 'typedef SSL3SignatureAndHashAlgorithm' at sslt.h:86:1:
                           underlying type 'struct __anonymous_struct__' at sslt.h:83:1 changed:
                             type name changed from '__anonymous_struct__' to 'SSLSignatureAndHashAlgStr'

                             2 data member changes:
                              type of 'SECOidTag __anonymous_struct__::hashAlg' changed:
                                underlying type 'enum __anonymous_enum__' changed:
                                  319 enumerator deletions:
                                    '__anonymous_enum__::SEC_OID_UNKNOWN' value '0'
                                    '__anonymous_enum__::SEC_OID_MD2' value '1'
                                    '__anonymous_enum__::SEC_OID_MD4' value '2'
                                    '__anonymous_enum__::SEC_OID_MD5' value '3'
                                    '__anonymous_enum__::SEC_OID_SHA1' value '4'
                                    '__anonymous_enum__::SEC_OID_RC2_CBC' value '5'
                                    '__anonymous_enum__::SEC_OID_RC4' value '6'
                                    '__anonymous_enum__::SEC_OID_DES_EDE3_CBC' value '7'
                                    '__anonymous_enum__::SEC_OID_RC5_CBC_PAD' value '8'
                                    '__anonymous_enum__::SEC_OID_DES_ECB' value '9'
                                    '__anonymous_enum__::SEC_OID_DES_CBC' value '10'
                                    '__anonymous_enum__::SEC_OID_DES_OFB' value '11'
                                    '__anonymous_enum__::SEC_OID_DES_CFB' value '12'
                                    '__anonymous_enum__::SEC_OID_DES_MAC' value '13'
                                    '__anonymous_enum__::SEC_OID_DES_EDE' value '14'
                                    '__anonymous_enum__::SEC_OID_ISO_SHA_WITH_RSA_SIGNATURE' value '15'
                                    '__anonymous_enum__::SEC_OID_PKCS1_RSA_ENCRYPTION' value '16'
                                    '__anonymous_enum__::SEC_OID_PKCS1_MD2_WITH_RSA_ENCRYPTION' value '17'
                                    '__anonymous_enum__::SEC_OID_PKCS1_MD4_WITH_RSA_ENCRYPTION' value '18'
                                    '__anonymous_enum__::SEC_OID_PKCS1_MD5_WITH_RSA_ENCRYPTION' value '19'
                                    '__anonymous_enum__::SEC_OID_PKCS1_SHA1_WITH_RSA_ENCRYPTION' value '20'
                                    '__anonymous_enum__::SEC_OID_PKCS5_PBE_WITH_MD2_AND_DES_CBC' value '21'
                                    '__anonymous_enum__::SEC_OID_PKCS5_PBE_WITH_MD5_AND_DES_CBC' value '22'
                                    '__anonymous_enum__::SEC_OID_PKCS5_PBE_WITH_SHA1_AND_DES_CBC' value '23'
                                    '__anonymous_enum__::SEC_OID_PKCS7' value '24'
                                    '__anonymous_enum__::SEC_OID_PKCS7_DATA' value '25'
                                    '__anonymous_enum__::SEC_OID_PKCS7_SIGNED_DATA' value '26'
                                    '__anonymous_enum__::SEC_OID_PKCS7_ENVELOPED_DATA' value '27'
                                    '__anonymous_enum__::SEC_OID_PKCS7_SIGNED_ENVELOPED_DATA' value '28'
                                    '__anonymous_enum__::SEC_OID_PKCS7_DIGESTED_DATA' value '29'
                                    '__anonymous_enum__::SEC_OID_PKCS7_ENCRYPTED_DATA' value '30'
                                    '__anonymous_enum__::SEC_OID_PKCS9_EMAIL_ADDRESS' value '31'
                                    '__anonymous_enum__::SEC_OID_PKCS9_UNSTRUCTURED_NAME' value '32'
                                    '__anonymous_enum__::SEC_OID_PKCS9_CONTENT_TYPE' value '33'
                                    '__anonymous_enum__::SEC_OID_PKCS9_MESSAGE_DIGEST' value '34'
                                    '__anonymous_enum__::SEC_OID_PKCS9_SIGNING_TIME' value '35'
                                    '__anonymous_enum__::SEC_OID_PKCS9_COUNTER_SIGNATURE' value '36'
                                    '__anonymous_enum__::SEC_OID_PKCS9_CHALLENGE_PASSWORD' value '37'
                                    '__anonymous_enum__::SEC_OID_PKCS9_UNSTRUCTURED_ADDRESS' value '38'
                                    '__anonymous_enum__::SEC_OID_PKCS9_EXTENDED_CERTIFICATE_ATTRIBUTES' value '39'
                                    '__anonymous_enum__::SEC_OID_PKCS9_SMIME_CAPABILITIES' value '40'
                                    '__anonymous_enum__::SEC_OID_AVA_COMMON_NAME' value '41'
                                    '__anonymous_enum__::SEC_OID_AVA_COUNTRY_NAME' value '42'
                                    '__anonymous_enum__::SEC_OID_AVA_LOCALITY' value '43'
                                    '__anonymous_enum__::SEC_OID_AVA_STATE_OR_PROVINCE' value '44'
                                    '__anonymous_enum__::SEC_OID_AVA_ORGANIZATION_NAME' value '45'
                                    '__anonymous_enum__::SEC_OID_AVA_ORGANIZATIONAL_UNIT_NAME' value '46'
                                    '__anonymous_enum__::SEC_OID_AVA_DN_QUALIFIER' value '47'
                                    '__anonymous_enum__::SEC_OID_AVA_DC' value '48'
                                    '__anonymous_enum__::SEC_OID_NS_TYPE_GIF' value '49'
                                    '__anonymous_enum__::SEC_OID_NS_TYPE_JPEG' value '50'
                                    '__anonymous_enum__::SEC_OID_NS_TYPE_URL' value '51'
                                    '__anonymous_enum__::SEC_OID_NS_TYPE_HTML' value '52'
                                    '__anonymous_enum__::SEC_OID_NS_TYPE_CERT_SEQUENCE' value '53'
                                    '__anonymous_enum__::SEC_OID_MISSI_KEA_DSS_OLD' value '54'
                                    '__anonymous_enum__::SEC_OID_MISSI_DSS_OLD' value '55'
                                    '__anonymous_enum__::SEC_OID_MISSI_KEA_DSS' value '56'
                                    '__anonymous_enum__::SEC_OID_MISSI_DSS' value '57'
                                    '__anonymous_enum__::SEC_OID_MISSI_KEA' value '58'
                                    '__anonymous_enum__::SEC_OID_MISSI_ALT_KEA' value '59'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_NETSCAPE_OK' value '60'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_ISSUER_LOGO' value '61'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_SUBJECT_LOGO' value '62'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_CERT_TYPE' value '63'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_BASE_URL' value '64'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_REVOCATION_URL' value '65'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_CA_REVOCATION_URL' value '66'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_CA_CRL_URL' value '67'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_CA_CERT_URL' value '68'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_CERT_RENEWAL_URL' value '69'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_CA_POLICY_URL' value '70'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_HOMEPAGE_URL' value '71'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_ENTITY_LOGO' value '72'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_USER_PICTURE' value '73'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_SSL_SERVER_NAME' value '74'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_COMMENT' value '75'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_LOST_PASSWORD_URL' value '76'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_CERT_RENEWAL_TIME' value '77'
                                    '__anonymous_enum__::SEC_OID_NS_KEY_USAGE_GOVT_APPROVED' value '78'
                                    '__anonymous_enum__::SEC_OID_X509_SUBJECT_DIRECTORY_ATTR' value '79'
                                    '__anonymous_enum__::SEC_OID_X509_SUBJECT_KEY_ID' value '80'
                                    '__anonymous_enum__::SEC_OID_X509_KEY_USAGE' value '81'
                                    '__anonymous_enum__::SEC_OID_X509_PRIVATE_KEY_USAGE_PERIOD' value '82'
                                    '__anonymous_enum__::SEC_OID_X509_SUBJECT_ALT_NAME' value '83'
                                    '__anonymous_enum__::SEC_OID_X509_ISSUER_ALT_NAME' value '84'
                                    '__anonymous_enum__::SEC_OID_X509_BASIC_CONSTRAINTS' value '85'
                                    '__anonymous_enum__::SEC_OID_X509_NAME_CONSTRAINTS' value '86'
                                    '__anonymous_enum__::SEC_OID_X509_CRL_DIST_POINTS' value '87'
                                    '__anonymous_enum__::SEC_OID_X509_CERTIFICATE_POLICIES' value '88'
                                    '__anonymous_enum__::SEC_OID_X509_POLICY_MAPPINGS' value '89'
                                    '__anonymous_enum__::SEC_OID_X509_POLICY_CONSTRAINTS' value '90'
                                    '__anonymous_enum__::SEC_OID_X509_AUTH_KEY_ID' value '91'
                                    '__anonymous_enum__::SEC_OID_X509_EXT_KEY_USAGE' value '92'
                                    '__anonymous_enum__::SEC_OID_X509_AUTH_INFO_ACCESS' value '93'
                                    '__anonymous_enum__::SEC_OID_X509_CRL_NUMBER' value '94'
                                    '__anonymous_enum__::SEC_OID_X509_REASON_CODE' value '95'
                                    '__anonymous_enum__::SEC_OID_X509_INVALID_DATE' value '96'
                                    '__anonymous_enum__::SEC_OID_X500_RSA_ENCRYPTION' value '97'
                                    '__anonymous_enum__::SEC_OID_RFC1274_UID' value '98'
                                    '__anonymous_enum__::SEC_OID_RFC1274_MAIL' value '99'
                                    '__anonymous_enum__::SEC_OID_PKCS12' value '100'
                                    '__anonymous_enum__::SEC_OID_PKCS12_MODE_IDS' value '101'
                                    '__anonymous_enum__::SEC_OID_PKCS12_ESPVK_IDS' value '102'
                                    '__anonymous_enum__::SEC_OID_PKCS12_BAG_IDS' value '103'
                                    '__anonymous_enum__::SEC_OID_PKCS12_CERT_BAG_IDS' value '104'
                                    '__anonymous_enum__::SEC_OID_PKCS12_OIDS' value '105'
                                    '__anonymous_enum__::SEC_OID_PKCS12_PBE_IDS' value '106'
                                    '__anonymous_enum__::SEC_OID_PKCS12_SIGNATURE_IDS' value '107'
                                    '__anonymous_enum__::SEC_OID_PKCS12_ENVELOPING_IDS' value '108'
                                    '__anonymous_enum__::SEC_OID_PKCS12_PKCS8_KEY_SHROUDING' value '109'
                                    '__anonymous_enum__::SEC_OID_PKCS12_KEY_BAG_ID' value '110'
                                    '__anonymous_enum__::SEC_OID_PKCS12_CERT_AND_CRL_BAG_ID' value '111'
                                    '__anonymous_enum__::SEC_OID_PKCS12_SECRET_BAG_ID' value '112'
                                    '__anonymous_enum__::SEC_OID_PKCS12_X509_CERT_CRL_BAG' value '113'
                                    '__anonymous_enum__::SEC_OID_PKCS12_SDSI_CERT_BAG' value '114'
                                    '__anonymous_enum__::SEC_OID_PKCS12_PBE_WITH_SHA1_AND_128_BIT_RC4' value '115'
                                    '__anonymous_enum__::SEC_OID_PKCS12_PBE_WITH_SHA1_AND_40_BIT_RC4' value '116'
                                    '__anonymous_enum__::SEC_OID_PKCS12_PBE_WITH_SHA1_AND_TRIPLE_DES_CBC' value '117'
                                    '__anonymous_enum__::SEC_OID_PKCS12_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC' value '118'
                                    '__anonymous_enum__::SEC_OID_PKCS12_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC' value '119'
                                    '__anonymous_enum__::SEC_OID_PKCS12_RSA_ENCRYPTION_WITH_128_BIT_RC4' value '120'
                                    '__anonymous_enum__::SEC_OID_PKCS12_RSA_ENCRYPTION_WITH_40_BIT_RC4' value '121'
                                    '__anonymous_enum__::SEC_OID_PKCS12_RSA_ENCRYPTION_WITH_TRIPLE_DES' value '122'
                                    '__anonymous_enum__::SEC_OID_PKCS12_RSA_SIGNATURE_WITH_SHA1_DIGEST' value '123'
                                    '__anonymous_enum__::SEC_OID_ANSIX9_DSA_SIGNATURE' value '124'
                                    '__anonymous_enum__::SEC_OID_ANSIX9_DSA_SIGNATURE_WITH_SHA1_DIGEST' value '125'
                                    '__anonymous_enum__::SEC_OID_BOGUS_DSA_SIGNATURE_WITH_SHA1_DIGEST' value '126'
                                    '__anonymous_enum__::SEC_OID_VERISIGN_USER_NOTICES' value '127'
                                    '__anonymous_enum__::SEC_OID_PKIX_CPS_POINTER_QUALIFIER' value '128'
                                    '__anonymous_enum__::SEC_OID_PKIX_USER_NOTICE_QUALIFIER' value '129'
                                    '__anonymous_enum__::SEC_OID_PKIX_OCSP' value '130'
                                    '__anonymous_enum__::SEC_OID_PKIX_OCSP_BASIC_RESPONSE' value '131'
                                    '__anonymous_enum__::SEC_OID_PKIX_OCSP_NONCE' value '132'
                                    '__anonymous_enum__::SEC_OID_PKIX_OCSP_CRL' value '133'
                                    '__anonymous_enum__::SEC_OID_PKIX_OCSP_RESPONSE' value '134'
                                    '__anonymous_enum__::SEC_OID_PKIX_OCSP_NO_CHECK' value '135'
                                    '__anonymous_enum__::SEC_OID_PKIX_OCSP_ARCHIVE_CUTOFF' value '136'
                                    '__anonymous_enum__::SEC_OID_PKIX_OCSP_SERVICE_LOCATOR' value '137'
                                    '__anonymous_enum__::SEC_OID_PKIX_REGCTRL_REGTOKEN' value '138'
                                    '__anonymous_enum__::SEC_OID_PKIX_REGCTRL_AUTHENTICATOR' value '139'
                                    '__anonymous_enum__::SEC_OID_PKIX_REGCTRL_PKIPUBINFO' value '140'
                                    '__anonymous_enum__::SEC_OID_PKIX_REGCTRL_PKI_ARCH_OPTIONS' value '141'
                                    '__anonymous_enum__::SEC_OID_PKIX_REGCTRL_OLD_CERT_ID' value '142'
                                    '__anonymous_enum__::SEC_OID_PKIX_REGCTRL_PROTOCOL_ENC_KEY' value '143'
                                    '__anonymous_enum__::SEC_OID_PKIX_REGINFO_UTF8_PAIRS' value '144'
                                    '__anonymous_enum__::SEC_OID_PKIX_REGINFO_CERT_REQUEST' value '145'
                                    '__anonymous_enum__::SEC_OID_EXT_KEY_USAGE_SERVER_AUTH' value '146'
                                    '__anonymous_enum__::SEC_OID_EXT_KEY_USAGE_CLIENT_AUTH' value '147'
                                    '__anonymous_enum__::SEC_OID_EXT_KEY_USAGE_CODE_SIGN' value '148'
                                    '__anonymous_enum__::SEC_OID_EXT_KEY_USAGE_EMAIL_PROTECT' value '149'
                                    '__anonymous_enum__::SEC_OID_EXT_KEY_USAGE_TIME_STAMP' value '150'
                                    '__anonymous_enum__::SEC_OID_OCSP_RESPONDER' value '151'
                                    '__anonymous_enum__::SEC_OID_NETSCAPE_SMIME_KEA' value '152'
                                    '__anonymous_enum__::SEC_OID_FORTEZZA_SKIPJACK' value '153'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC4' value '154'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC4' value '155'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_3KEY_TRIPLE_DES_CBC' value '156'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_2KEY_TRIPLE_DES_CBC' value '157'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_128_BIT_RC2_CBC' value '158'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V2_PBE_WITH_SHA1_AND_40_BIT_RC2_CBC' value '159'
                                    '__anonymous_enum__::SEC_OID_PKCS12_SAFE_CONTENTS_ID' value '160'
                                    '__anonymous_enum__::SEC_OID_PKCS12_PKCS8_SHROUDED_KEY_BAG_ID' value '161'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V1_KEY_BAG_ID' value '162'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V1_PKCS8_SHROUDED_KEY_BAG_ID' value '163'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V1_CERT_BAG_ID' value '164'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V1_CRL_BAG_ID' value '165'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V1_SECRET_BAG_ID' value '166'
                                    '__anonymous_enum__::SEC_OID_PKCS12_V1_SAFE_CONTENTS_BAG_ID' value '167'
                                    '__anonymous_enum__::SEC_OID_PKCS9_X509_CERT' value '168'
                                    '__anonymous_enum__::SEC_OID_PKCS9_SDSI_CERT' value '169'
                                    '__anonymous_enum__::SEC_OID_PKCS9_X509_CRL' value '170'
                                    '__anonymous_enum__::SEC_OID_PKCS9_FRIENDLY_NAME' value '171'
                                    '__anonymous_enum__::SEC_OID_PKCS9_LOCAL_KEY_ID' value '172'
                                    '__anonymous_enum__::SEC_OID_BOGUS_KEY_USAGE' value '173'
                                    '__anonymous_enum__::SEC_OID_X942_DIFFIE_HELMAN_KEY' value '174'
                                    '__anonymous_enum__::SEC_OID_NETSCAPE_NICKNAME' value '175'
                                    '__anonymous_enum__::SEC_OID_NETSCAPE_RECOVERY_REQUEST' value '176'
                                    '__anonymous_enum__::SEC_OID_CERT_RENEWAL_LOCATOR' value '177'
                                    '__anonymous_enum__::SEC_OID_NS_CERT_EXT_SCOPE_OF_USE' value '178'
                                    '__anonymous_enum__::SEC_OID_CMS_EPHEMERAL_STATIC_DIFFIE_HELLMAN' value '179'
                                    '__anonymous_enum__::SEC_OID_CMS_3DES_KEY_WRAP' value '180'
                                    '__anonymous_enum__::SEC_OID_CMS_RC2_KEY_WRAP' value '181'
                                    '__anonymous_enum__::SEC_OID_SMIME_ENCRYPTION_KEY_PREFERENCE' value '182'
                                    '__anonymous_enum__::SEC_OID_AES_128_ECB' value '183'
                                    '__anonymous_enum__::SEC_OID_AES_128_CBC' value '184'
                                    '__anonymous_enum__::SEC_OID_AES_192_ECB' value '185'
                                    '__anonymous_enum__::SEC_OID_AES_192_CBC' value '186'
                                    '__anonymous_enum__::SEC_OID_AES_256_ECB' value '187'
                                    '__anonymous_enum__::SEC_OID_AES_256_CBC' value '188'
                                    '__anonymous_enum__::SEC_OID_SDN702_DSA_SIGNATURE' value '189'
                                    '__anonymous_enum__::SEC_OID_MS_SMIME_ENCRYPTION_KEY_PREFERENCE' value '190'
                                    '__anonymous_enum__::SEC_OID_SHA256' value '191'
                                    '__anonymous_enum__::SEC_OID_SHA384' value '192'
                                    '__anonymous_enum__::SEC_OID_SHA512' value '193'
                                    '__anonymous_enum__::SEC_OID_PKCS1_SHA256_WITH_RSA_ENCRYPTION' value '194'
                                    '__anonymous_enum__::SEC_OID_PKCS1_SHA384_WITH_RSA_ENCRYPTION' value '195'
                                    '__anonymous_enum__::SEC_OID_PKCS1_SHA512_WITH_RSA_ENCRYPTION' value '196'
                                    '__anonymous_enum__::SEC_OID_AES_128_KEY_WRAP' value '197'
                                    '__anonymous_enum__::SEC_OID_AES_192_KEY_WRAP' value '198'
                                    '__anonymous_enum__::SEC_OID_AES_256_KEY_WRAP' value '199'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_PUBLIC_KEY' value '200'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_ECDSA_SHA1_SIGNATURE' value '201'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_PRIME192V1' value '202'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_PRIME192V2' value '203'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_PRIME192V3' value '204'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_PRIME239V1' value '205'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_PRIME239V2' value '206'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_PRIME239V3' value '207'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_PRIME256V1' value '208'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP112R1' value '209'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP112R2' value '210'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP128R1' value '211'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP128R2' value '212'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP160K1' value '213'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP160R1' value '214'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP160R2' value '215'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP192K1' value '216'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP224K1' value '217'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP224R1' value '218'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP256K1' value '219'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP384R1' value '220'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECP521R1' value '221'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2PNB163V1' value '222'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2PNB163V2' value '223'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2PNB163V3' value '224'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2PNB176V1' value '225'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2TNB191V1' value '226'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2TNB191V2' value '227'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2TNB191V3' value '228'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2ONB191V4' value '229'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2ONB191V5' value '230'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2PNB208W1' value '231'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2TNB239V1' value '232'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2TNB239V2' value '233'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2TNB239V3' value '234'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2ONB239V4' value '235'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2ONB239V5' value '236'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2PNB272W1' value '237'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2PNB304W1' value '238'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2TNB359V1' value '239'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2PNB368W1' value '240'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_EC_C2TNB431R1' value '241'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT113R1' value '242'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT113R2' value '243'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT131R1' value '244'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT131R2' value '245'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT163K1' value '246'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT163R1' value '247'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT163R2' value '248'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT193R1' value '249'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT193R2' value '250'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT233K1' value '251'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT233R1' value '252'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT239K1' value '253'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT283K1' value '254'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT283R1' value '255'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT409K1' value '256'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT409R1' value '257'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT571K1' value '258'
                                    '__anonymous_enum__::SEC_OID_SECG_EC_SECT571R1' value '259'
                                    '__anonymous_enum__::SEC_OID_NETSCAPE_AOLSCREENNAME' value '260'
                                    '__anonymous_enum__::SEC_OID_AVA_SURNAME' value '261'
                                    '__anonymous_enum__::SEC_OID_AVA_SERIAL_NUMBER' value '262'
                                    '__anonymous_enum__::SEC_OID_AVA_STREET_ADDRESS' value '263'
                                    '__anonymous_enum__::SEC_OID_AVA_TITLE' value '264'
                                    '__anonymous_enum__::SEC_OID_AVA_POSTAL_ADDRESS' value '265'
                                    '__anonymous_enum__::SEC_OID_AVA_POSTAL_CODE' value '266'
                                    '__anonymous_enum__::SEC_OID_AVA_POST_OFFICE_BOX' value '267'
                                    '__anonymous_enum__::SEC_OID_AVA_GIVEN_NAME' value '268'
                                    '__anonymous_enum__::SEC_OID_AVA_INITIALS' value '269'
                                    '__anonymous_enum__::SEC_OID_AVA_GENERATION_QUALIFIER' value '270'
                                    '__anonymous_enum__::SEC_OID_AVA_HOUSE_IDENTIFIER' value '271'
                                    '__anonymous_enum__::SEC_OID_AVA_PSEUDONYM' value '272'
                                    '__anonymous_enum__::SEC_OID_PKIX_CA_ISSUERS' value '273'
                                    '__anonymous_enum__::SEC_OID_PKCS9_EXTENSION_REQUEST' value '274'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_ECDSA_SIGNATURE_RECOMMENDED_DIGEST' value '275'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_ECDSA_SIGNATURE_SPECIFIED_DIGEST' value '276'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_ECDSA_SHA224_SIGNATURE' value '277'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_ECDSA_SHA256_SIGNATURE' value '278'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_ECDSA_SHA384_SIGNATURE' value '279'
                                    '__anonymous_enum__::SEC_OID_ANSIX962_ECDSA_SHA512_SIGNATURE' value '280'
                                    '__anonymous_enum__::SEC_OID_X509_HOLD_INSTRUCTION_CODE' value '281'
                                    '__anonymous_enum__::SEC_OID_X509_DELTA_CRL_INDICATOR' value '282'
                                    '__anonymous_enum__::SEC_OID_X509_ISSUING_DISTRIBUTION_POINT' value '283'
                                    '__anonymous_enum__::SEC_OID_X509_CERT_ISSUER' value '284'
                                    '__anonymous_enum__::SEC_OID_X509_FRESHEST_CRL' value '285'
                                    '__anonymous_enum__::SEC_OID_X509_INHIBIT_ANY_POLICY' value '286'
                                    '__anonymous_enum__::SEC_OID_X509_SUBJECT_INFO_ACCESS' value '287'
                                    '__anonymous_enum__::SEC_OID_CAMELLIA_128_CBC' value '288'
                                    '__anonymous_enum__::SEC_OID_CAMELLIA_192_CBC' value '289'
                                    '__anonymous_enum__::SEC_OID_CAMELLIA_256_CBC' value '290'
                                    '__anonymous_enum__::SEC_OID_PKCS5_PBKDF2' value '291'
                                    '__anonymous_enum__::SEC_OID_PKCS5_PBES2' value '292'
                                    '__anonymous_enum__::SEC_OID_PKCS5_PBMAC1' value '293'
                                    '__anonymous_enum__::SEC_OID_HMAC_SHA1' value '294'
                                    '__anonymous_enum__::SEC_OID_HMAC_SHA224' value '295'
                                    '__anonymous_enum__::SEC_OID_HMAC_SHA256' value '296'
                                    '__anonymous_enum__::SEC_OID_HMAC_SHA384' value '297'
                                    '__anonymous_enum__::SEC_OID_HMAC_SHA512' value '298'
                                    '__anonymous_enum__::SEC_OID_PKIX_TIMESTAMPING' value '299'
                                    '__anonymous_enum__::SEC_OID_PKIX_CA_REPOSITORY' value '300'
                                    '__anonymous_enum__::SEC_OID_ISO_SHA1_WITH_RSA_SIGNATURE' value '301'
                                    '__anonymous_enum__::SEC_OID_SEED_CBC' value '302'
                                    '__anonymous_enum__::SEC_OID_X509_ANY_POLICY' value '303'
                                    '__anonymous_enum__::SEC_OID_PKCS1_RSA_OAEP_ENCRYPTION' value '304'
                                    '__anonymous_enum__::SEC_OID_PKCS1_MGF1' value '305'
                                    '__anonymous_enum__::SEC_OID_PKCS1_PSPECIFIED' value '306'
                                    '__anonymous_enum__::SEC_OID_PKCS1_RSA_PSS_SIGNATURE' value '307'
                                    '__anonymous_enum__::SEC_OID_PKCS1_SHA224_WITH_RSA_ENCRYPTION' value '308'
                                    '__anonymous_enum__::SEC_OID_SHA224' value '309'
                                    '__anonymous_enum__::SEC_OID_EV_INCORPORATION_LOCALITY' value '310'
                                    '__anonymous_enum__::SEC_OID_EV_INCORPORATION_STATE' value '311'
                                    '__anonymous_enum__::SEC_OID_EV_INCORPORATION_COUNTRY' value '312'
                                    '__anonymous_enum__::SEC_OID_BUSINESS_CATEGORY' value '313'
                                    '__anonymous_enum__::SEC_OID_NIST_DSA_SIGNATURE_WITH_SHA224_DIGEST' value '314'
                                    '__anonymous_enum__::SEC_OID_NIST_DSA_SIGNATURE_WITH_SHA256_DIGEST' value '315'
                                    '__anonymous_enum__::SEC_OID_MS_EXT_KEY_USAGE_CTL_SIGNING' value '316'
                                    '__anonymous_enum__::SEC_OID_AVA_NAME' value '317'
                                    '__anonymous_enum__::SEC_OID_TOTAL' value '318'

                                  7 enumerator insertions:
                                    '__anonymous_enum__::ssl_hash_none' value '0'
                                    '__anonymous_enum__::ssl_hash_md5' value '1'
                                    '__anonymous_enum__::ssl_hash_sha1' value '2'
                                    '__anonymous_enum__::ssl_hash_sha224' value '3'
                                    '__anonymous_enum__::ssl_hash_sha256' value '4'
                                    '__anonymous_enum__::ssl_hash_sha384' value '5'
                                    '__anonymous_enum__::ssl_hash_sha512' value '6'


                              type of 'TLSSignatureAlgorithm __anonymous_struct__::sigAlg' changed:
                                underlying type 'enum __anonymous_enum__' changed:
                                  3 enumerator deletions:
                                    '__anonymous_enum__::tls_sig_rsa' value '1'
                                    '__anonymous_enum__::tls_sig_dsa' value '2'
                                    '__anonymous_enum__::tls_sig_ecdsa' value '3'

                                  4 enumerator insertions:
                                    '__anonymous_enum__::ssl_sign_null' value '0'
                                    '__anonymous_enum__::ssl_sign_rsa' value '1'
                                    '__anonymous_enum__::ssl_sign_dsa' value '2'
                                    '__anonymous_enum__::ssl_sign_ecdsa' value '3'


                       and offset changed from 2304 to 2336 (in bits)
                       'unsigned int SSL3HandshakeStateStr::numClientSigAndHash' offset changed from 2336 to 2368 (in bits)
                       'PRUint16 SSL3HandshakeStateStr::sendMessageSeq' offset changed from 2368 to 2400 (in bits)
                       'PRCList SSL3HandshakeStateStr::lastMessageFlight' offset changed from 2400 to 2432 (in bits)
                       'PRUint16 SSL3HandshakeStateStr::maxMessageSent' offset changed from 2464 to 2496 (in bits)
                       'PRUint16 SSL3HandshakeStateStr::recvMessageSeq' offset changed from 2480 to 2512 (in bits)
                       'sslBuffer SSL3HandshakeStateStr::recvdFragments' offset changed from 2496 to 2528 (in bits)
                       'PRInt32 SSL3HandshakeStateStr::recvdHighWater' offset changed from 2592 to 2624 (in bits)
                       'unsigned char SSL3HandshakeStateStr::cookie[32]' offset changed from 2624 to 2656 (in bits)
                       'unsigned char SSL3HandshakeStateStr::cookieLen' offset changed from 2880 to 2912 (in bits)
                       'PRIntervalTime SSL3HandshakeStateStr::rtTimerStarted' offset changed from 2912 to 2944 (in bits)
                       'DTLSTimerCb SSL3HandshakeStateStr::rtTimerCb' offset changed from 2944 to 2976 (in bits)
                       'PRUint32 SSL3HandshakeStateStr::rtTimeoutMs' offset changed from 2976 to 3008 (in bits)
                       'PRUint32 SSL3HandshakeStateStr::rtRetries' offset changed from 3008 to 3040 (in bits)

                  'ssl3CipherSpec ssl3StateStr::specs[2]' offset changed from 3456 to 3520 (in bits)
                  'SECItem ssl3StateStr::nextProto' offset changed from 79872 to 79936 (in bits)
                  'SSLNextProtoState ssl3StateStr::nextProtoState' offset changed from 79968 to 80032 (in bits)
                  'PRUint16 ssl3StateStr::mtu' offset changed from 80000 to 80064 (in bits)
                  'PRUint16 ssl3StateStr::dtlsSRTPCiphers[4]' offset changed from 80016 to 80080 (in bits)
                  'PRUint16 ssl3StateStr::dtlsSRTPCipherCount' offset changed from 80080 to 80144 (in bits)
                  'PRUint16 ssl3StateStr::dtlsSRTPCipherSuite' offset changed from 80096 to 80160 (in bits)
                  'PRBool ssl3StateStr::fatalAlertSent' offset changed from 80128 to 80192 (in bits)
             and offset changed from 8768 to 8960 (in bits)
             'PRBool sslSocketStr::statelessResume' offset changed from 88960 to 90304 (in bits)
             type of 'TLSExtensionData sslSocketStr::xtnData' changed:
               underlying type 'struct TLSExtensionDataStr' at sslimpl.h:807:1 changed:
                 type size changed from 1248 to 1344 bits
                 10 data member changes:
                  type of 'ssl3HelloExtensionSender TLSExtensionDataStr::serverSenders[11]' changed:
                    type name changed from 'ssl3HelloExtensionSender[11]' to 'ssl3HelloExtensionSender[12]'
                    array type size changed from 704 to 768 bits:
                    array type subrange 1 changed length from 11 to 12

                  'PRUint16 TLSExtensionDataStr::numAdvertised' offset changed from 704 to 768 (in bits)
                  'PRUint16 TLSExtensionDataStr::numNegotiated' offset changed from 720 to 784 (in bits)
                  type of 'PRUint16 TLSExtensionDataStr::advertised[11]' changed:
                    type name changed from 'PRUint16[11]' to 'PRUint16[12]'
                    array type size changed from 176 to 192 bits:
                    array type subrange 1 changed length from 11 to 12
                  and offset changed from 736 to 800 (in bits)
                  'PRUint16 TLSExtensionDataStr::negotiated[11]' offset changed from 912 to 992 (in bits)
                  'PRBool TLSExtensionDataStr::ticketTimestampVerified' offset changed from 1088 to 1184 (in bits)
                  'PRBool TLSExtensionDataStr::emptySessionTicket' offset changed from 1120 to 1216 (in bits)
                  'PRBool TLSExtensionDataStr::sentSessionTicketInClientHello' offset changed from 1152 to 1248 (in bits)
                  'SECItem* TLSExtensionDataStr::sniNameArr' offset changed from 1184 to 1280 (in bits)
                  'PRUint32 TLSExtensionDataStr::sniNameArrSize' offset changed from 1216 to 1312 (in bits)
             and offset changed from 88992 to 90336 (in bits)
             'SSLProtocolVariant sslSocketStr::protocolVariant' offset changed from 90240 to 91680 (in bits)


  1 Changed variable:

    [C]'const PRUint16[68] SSL_ImplementedCiphers' was changed to 'const PRUint16[71] SSL_ImplementedCiphers' at sslenum.c:49:1:
      size of symbol (in bytes) changed from 136 to 142
      type of variable changed:
       'const PRUint16[68]' changed to 'const PRUint16[71]'


================ end of changes of 'libssl3.so'===============

Comment 2 Hubert Kario 2016-02-24 17:39:30 UTC
that is the version in Fedora 23 repo

anyway, looks like a simple rebase will fix it, once that happens we'll be able to close it as fixed

Comment 3 Fedora Update System 2016-03-08 14:02:18 UTC
libabigail-1.0-0.rc3.2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c0cf4b9bc1

Comment 4 Fedora Update System 2016-03-08 14:03:38 UTC
libabigail-1.0-0.rc3.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3141c4dddf

Comment 5 Fedora Update System 2016-03-08 14:05:35 UTC
libabigail-1.0-0.rc3.1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-627c4a9385

Comment 6 Fedora Update System 2016-03-08 14:06:37 UTC
libabigail-1.0-0.rc3.1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbf75a532f

Comment 7 Fedora Update System 2016-03-09 21:23:47 UTC
libabigail-1.0-0.rc3.1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-627c4a9385

Comment 8 Fedora Update System 2016-03-09 22:56:31 UTC
libabigail-1.0-0.rc3.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fbf75a532f

Comment 9 Fedora Update System 2016-03-09 23:18:57 UTC
libabigail-1.0-0.rc3.2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-c0cf4b9bc1

Comment 10 Fedora Update System 2016-03-09 23:21:36 UTC
libabigail-1.0-0.rc3.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-3141c4dddf

Comment 11 Hubert Kario 2016-03-11 12:15:10 UTC
first, the libabigail-1.0-0.5.20150727gitf0d319a.fc23 is a higher n-v-r than libabigail-1.0-0.rc3.1.fc23 so dnf will not automatically update it, the new package should increase the epoch if the n-v-r is to stay the same.

Secondly, I can still reproduce the issue (no "indirect sub-type change"):

:: abipkgdiff --d1 nss-debuginfo-3.19.1-8.el6_7.ppc64.rpm --d2 nss-debuginfo-3.21.0-0.2.el6_7.ppc64.rpm nss-3.19.1-8.el6_7.ppc64.rpm nss-3.21.0-0.2.el6_7.ppc64.rpm
================ changes of 'libnss3.so'===============
  Functions changes summary: 0 Removed, 0 Changed, 0 Added function
  Variables changes summary: 0 Removed, 0 Changed, 0 Added variable
  Function symbols changes summary: 0 Removed, 3 Added function symbols not referenced by debug info
  Variable symbols changes summary: 0 Removed, 0 Added variable symbol not referenced by debug info

  3 Added function symbols not referenced by debug info:

    NSS_OptionGet@@NSS_3.21
    NSS_OptionSet@@NSS_3.21
    SECMOD_CreateModuleEx@@NSS_3.21

================ end of changes of 'libnss3.so'===============

================ changes of 'libssl3.so'===============
  Functions changes summary: 0 Removed, 0 Changed, 0 Added function
  Variables changes summary: 0 Removed, 1 Changed, 0 Added variable
  Function symbols changes summary: 0 Removed, 6 Added function symbols not referenced by debug info
  Variable symbols changes summary: 0 Removed, 0 Added variable symbol not referenced by debug info

  1 Changed variable:

    [C]'const PRUint16[68] SSL_ImplementedCiphers' was changed to 'const PRUint16[71] SSL_ImplementedCiphers' at sslenum.c:49:1:
      size of symbol (in bytes) changed from 136 to 142
      type of variable changed:
       'const PRUint16[68]' changed to 'const PRUint16[71]'


  6 Added function symbols not referenced by debug info:

    SSL_DHEGroupPrefSet@@NSS_3.20
    SSL_EnableWeakDHEPrimeGroup@@NSS_3.20
    SSL_GetPreliminaryChannelInfo@@NSS_3.21
    SSL_SignatureMaxCount@@NSS_3.21
    SSL_SignaturePrefGet@@NSS_3.21
    SSL_SignaturePrefSet@@NSS_3.21

================ end of changes of 'libssl3.so'===============

Comment 12 Fedora Update System 2016-03-25 14:09:05 UTC
libabigail-1.0-0.8.rc3.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0fadb87d4a

Comment 13 Fedora Update System 2016-03-25 14:55:38 UTC
libabigail-1.0-0.8.rc3.1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-004d881198

Comment 14 Fedora Update System 2016-03-25 21:52:51 UTC
libabigail-1.0-0.rc3.2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-03-25 23:47:58 UTC
libabigail-1.0-0.8.rc3.1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-004d881198

Comment 16 Fedora Update System 2016-03-26 03:19:10 UTC
libabigail-1.0-0.rc3.1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-03-26 14:18:53 UTC
libabigail-1.0-0.8.rc3.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-0fadb87d4a

Comment 18 Dodji Seketeli 2016-03-30 18:14:56 UTC
I mis-read the text of this bug and mistakenly tried to reproduce the
issue on ppc packages rather than ppc64.  That is why I couldn't
reproduce it, I guess.

Now that I see the issue, I filed an upstream accordingly to
https://sourceware.org/bugzilla/show_bug.cgi?id=19885.

Comment 19 Dodji Seketeli 2016-03-30 18:25:04 UTC
The upstream bug https://sourceware.org/bugzilla/show_bug.cgi?id=19885 is now fixed in the upstream git repository, in the master branch.  The fix should be available in the next 1.0.rc4 tarball release.

Thanks for reporting this issue!

Comment 20 Fedora Update System 2016-04-13 05:56:12 UTC
libabigail-1.0-0.8.rc3.1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 21 Fedora Update System 2016-04-13 13:18:49 UTC
libabigail-1.0-0.8.rc3.1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Dodji Seketeli 2016-04-17 20:13:12 UTC
Re-opening this, as it's fixed by 1.0.rc4, not 1.0.rc3.

I am going to roll out an update with 1.0.rc4 very soon.

Comment 23 Fedora Update System 2016-04-17 20:13:54 UTC
libabigail-1.0-0.8.rc4.1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3cb5659f14

Comment 24 Fedora Update System 2016-04-17 20:14:24 UTC
libabigail-1.0-0.8.rc4.1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b306839053

Comment 25 Fedora Update System 2016-04-17 20:14:32 UTC
libabigail-1.0-0.8.rc4.1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-256ec3c1db

Comment 26 Fedora Update System 2016-04-17 20:14:41 UTC
libabigail-1.0-0.8.rc4.1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-333925f376

Comment 27 Fedora Update System 2016-04-17 20:26:06 UTC
libabigail-1.0-0.8.rc4.1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8068ed4a6e

Comment 28 Fedora Update System 2016-04-17 20:26:11 UTC
libabigail-1.0-0.8.rc4.1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8068ed4a6e

Comment 29 Fedora Update System 2016-04-18 04:21:36 UTC
libabigail-1.0-0.8.rc4.1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-333925f376

Comment 30 Fedora Update System 2016-04-18 04:23:18 UTC
libabigail-1.0-0.8.rc4.1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-256ec3c1db

Comment 31 Fedora Update System 2016-04-18 04:50:35 UTC
libabigail-1.0-0.8.rc4.1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b306839053

Comment 32 Fedora Update System 2016-04-18 04:52:07 UTC
libabigail-1.0-0.8.rc4.1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8068ed4a6e

Comment 33 Fedora Update System 2016-04-18 04:55:27 UTC
libabigail-1.0-0.8.rc4.1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3cb5659f14

Comment 34 Fedora Update System 2016-04-26 08:14:45 UTC
libabigail-1.0-0.8.rc4.2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-6452c52b09

Comment 35 Fedora Update System 2016-04-26 08:16:03 UTC
libabigail-1.0-0.8.rc4.2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-da9120400c

Comment 36 Fedora Update System 2016-04-26 08:16:28 UTC
libabigail-1.0-0.8.rc4.2.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d7143fcb2

Comment 37 Fedora Update System 2016-04-26 08:16:58 UTC
libabigail-1.0-0.8.rc4.2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9c45c3a0ac

Comment 38 Fedora Update System 2016-04-26 08:17:55 UTC
libabigail-1.0-0.8.rc4.2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fa0baa05e0

Comment 39 Fedora Update System 2016-04-26 16:22:11 UTC
libabigail-1.0-0.8.rc4.2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-6452c52b09

Comment 40 Fedora Update System 2016-04-27 00:51:19 UTC
libabigail-1.0-0.8.rc4.2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-fa0baa05e0

Comment 41 Fedora Update System 2016-04-27 01:19:01 UTC
libabigail-1.0-0.8.rc4.2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9c45c3a0ac

Comment 42 Fedora Update System 2016-04-27 01:20:50 UTC
libabigail-1.0-0.8.rc4.2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-da9120400c

Comment 43 Fedora Update System 2016-04-27 01:21:24 UTC
libabigail-1.0-0.8.rc4.2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1d7143fcb2

Comment 44 Hubert Kario 2016-04-27 11:22:50 UTC
I've tested with fc22 packages, issue seems to be fixed

Comment 45 Fedora Update System 2016-05-09 00:05:04 UTC
libabigail-1.0-0.8.rc4.2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 46 Fedora Update System 2016-05-10 17:53:51 UTC
libabigail-1.0-0.8.rc4.2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 47 Fedora Update System 2016-05-10 18:00:48 UTC
libabigail-1.0-0.8.rc4.2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 48 Fedora Update System 2016-05-12 04:39:11 UTC
libabigail-1.0-0.8.rc4.2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 49 Fedora Update System 2016-05-12 05:08:11 UTC
libabigail-1.0-0.8.rc4.2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.